Resources

GET
/api/v2/estimates
List estimates

Params

  • number

    Filter by number

  • client_id

    Filter by client_id

  • status

    Filter by status. One of pending, accepted, rejected, invoiced

  • start_date

    Filter estimates from start_date to end_date (or today’s date if end_date is omitted)

  • end_date

    Filter estimates from start_date (or from the beginning of time if start_date is omitted) to end_date

  • sort

    Allowed sort fields: number, date. The direction is specified by prefixing the field with +/- (+ for ASC, - for DESC). Example: “sort=+field,-secondary_field”

Examples

GET /api/v2/estimates
200
{
  "data": [
    {
      "id": 5,
      "number": 2,
      "date": "2026-09-08",
      "valid_to": "2026-11-07",
      "client_id": 3,
      "our_reference": "",
      "your_reference": "",
      "sent": false,
      "status": "accepted",
      "locale": "sv",
      "currency": "SEK",
      "settings": {
        "prices_inc_tax": "no",
        "show_product_code": false,
        "invoice_template": "original"
      },
      "sum": "1250.0",
      "net": "1000.0",
      "tax": "250.0",
      "tax_details": {
        "25": "250.0"
      },
      "address": {
        "name": "Google Inc",
        "street_address": "1600 Amphitheatre Parkway",
        "care_of": "",
        "zip_code": "940 43",
        "city": "Mountain View",
        "country": "SE"
      },
      "rows": [
        {
          "id": 7,
          "product_id": 0,
          "discount": "0.0",
          "amount": "5.0",
          "text": "",
          "product_code": null,
          "product_name": "product",
          "product_unit": "st",
          "product_price": "200.0",
          "product_tax": 25,
          "text_row": false,
          "sort_order": 0,
          "tax_deductible": false
        }
      ]
    },
    {
      "id": 4,
      "number": 1,
      "date": "2026-10-08",
      "valid_to": "2026-11-07",
      "client_id": 4,
      "our_reference": "",
      "your_reference": "",
      "sent": false,
      "status": "pending",
      "locale": "sv",
      "currency": "SEK",
      "settings": {
        "prices_inc_tax": "no",
        "show_product_code": false,
        "invoice_template": "original"
      },
      "sum": "1250.0",
      "net": "1000.0",
      "tax": "250.0",
      "tax_details": {
        "25": "250.0"
      },
      "address": {
        "name": "Google Inc",
        "street_address": "1600 Amphitheatre Parkway",
        "care_of": "",
        "zip_code": "940 43",
        "city": "Mountain View",
        "country": "SE"
      },
      "rows": [
        {
          "id": 6,
          "product_id": 0,
          "discount": "0.0",
          "amount": "5.0",
          "text": "",
          "product_code": null,
          "product_name": "product",
          "product_unit": "st",
          "product_price": "200.0",
          "product_tax": 25,
          "text_row": false,
          "sort_order": 0,
          "tax_deductible": false
        }
      ]
    }
  ],
  "paging": {
    "total_pages": 1,
    "current_page": 1,
    "next": null,
    "previous": null
  }
}